package com.gingersoft.supply_chain.mvp.content;

import com.gingersoft.gsa.cloud.common.core.restaurant.ResturantInfoManager;

import java.util.Map;

/**
 * @author 宇航.
 * User: admin
 * Date: 2020/12/5
 * Time: 16:27
 * Use:
 */
public class Constant {

    public static final int DELETE = 1;
    public static final int NORMAL = 0;
    public static final String GET_INFO_ERROR = "數據獲取失敗，請稍候再試";
    public static final String INFO_SYNTAX_ERROR = "數據解析失敗，請聯繫開發人員";
    public static final String GET_INFO_LOADING = "數據獲取中...";


    public static void addBrandId(Map<String, Object> map) {
        map.put("brandId", ResturantInfoManager.newInstance().getBrandId());
    }

    public static void addRestaurantId(Map<String, Object> map) {
        map.put("restaurantId", ResturantInfoManager.newInstance().getRestaurantId());
    }

    public static void addPageSize(Map<String, Object> map) {
        map.put("pageSize", 10);
    }

}
